r885 - html/trunk/scripts

lizardo at linuxfromscratch.org lizardo at linuxfromscratch.org
Sat Nov 20 11:29:26 PST 2004


Author: lizardo
Date: 2004-11-20 12:29:25 -0700 (Sat, 20 Nov 2004)
New Revision: 885

Modified:
   html/trunk/scripts/update-website.sh
Log:
Added additional check to update-website.sh to avoid website deletion.


Modified: html/trunk/scripts/update-website.sh
===================================================================
--- html/trunk/scripts/update-website.sh	2004-11-20 19:07:48 UTC (rev 884)
+++ html/trunk/scripts/update-website.sh	2004-11-20 19:29:25 UTC (rev 885)
@@ -31,7 +31,7 @@
 TMPDIR=`mktemp -d` || exit 1
 
 NEWSITE="$TMPDIR/NEWSITE"
-svn -q export $SVN/www/html/trunk $NEWSITE
+svn -q export $SVN/www/html/trunk $NEWSITE || { rm -rf $TMPDIR; rm -f $LOCKFILE; exit 1; }
 
 SCRIPTS="$NEWSITE/scripts"
 MANAGE_NEWS="$SCRIPTS/manage_news.pl"




More information about the website mailing list